Weather

List daily weather

GET
/orgs/{organizationId}/weather

Returns stored daily weather for the organization map center between two calendar dates (org timezone). Data is populated by scheduled sync tasks.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

Query Parameters

from*string
Match^\d{4}-\d{2}-\d{2}$
to*string
Match^\d{4}-\d{2}-\d{2}$

Response Body

Daily weather rows for the requested range

application/json
  1. response
items*array<>
latitude*number
longitude*number
timeZone*string
curl -X GET 'https://api.tillor.eu/orgs/string/weather?from=string&to=string'
{  "items": [    {      "date": "string",      "temperatureMin": 0,      "temperatureMax": 0,      "temperatureMean": 0,      "precipitationSum": 0,      "weatherCode": -9007199254740991,      "metadata": {        "sourceType": "archived",        "provider": "open-meteo",        "api": "archive"      }    }  ],  "latitude": 0,  "longitude": 0,  "timeZone": "string"}